package com.xjrsoft.common.enums;

/**
 * @description： 生成频率（xjr_dictionary_detail[create_frequency]）
 * @author： phoenix
 * @create： 2023/01/27 11:27
 * @Version 1.0
 */
public enum CreateFrequencyEnum {
    /**
     * 工作日
     * */
    WEEKDAY("weekday", "工作日"),

    /**
     * 每周
     * */
    WEEKLY("weekly", "每周"),
    /**
     * 每月
     * */
    MONTHLY("monthly", "每月");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    CreateFrequencyEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }
}
